package org.zeroturnaround.javarebel.integration.servlet.jasper;

/**
 * Additional interface for <code>org.apache.jasper.JspCompilationContext</code>
 * to publish its <code>org.apache.jasper.compiler.JspRuntimeContext</code> object.
 * <p>
 * This is needed for Tomcat 4. Sioce Tocmat 5 there's also public get-method available. 
 * 
 * @author Rein Raudjärv
 */
public interface JspCompilationContextExtra {

  Object __getRuntimeContext();
  
}
