package org.zeroturnaround.javarebel.integration.servlet.oc4j;

import org.zeroturnaround.bundled.javassist.ClassPool;
import org.zeroturnaround.bundled.javassist.CtClass;
import org.zeroturnaround.bundled.javassist.CtNewMethod;
import org.zeroturnaround.javarebel.integration.support.JavassistClassBytecodeProcessor;

/**
 * Transforms <code>com.evermind.server.http.deployment.ServletMapping</code>.
 * 
 * @author Rein Raudjärv
 */
public class ServletMappingCBP extends JavassistClassBytecodeProcessor {

  public void process(ClassPool cp, ClassLoader cl, CtClass ctClass) throws Exception {
    ctClass.addInterface(cp.get(ServletMappingExtra.class.getName()));
    
    ctClass.addMethod(CtNewMethod.make("public void __setURLPattern(String urlPattern) { this.urlPattern = urlPattern; }", ctClass));
  }
}
