package org.zeroturnaround.javarebel.integration.servlet.sap;

import org.zeroturnaround.bundled.javassist.ClassPool;
import org.zeroturnaround.bundled.javassist.CtClass;
import org.zeroturnaround.bundled.javassist.CtMethod;
import org.zeroturnaround.javarebel.RebelServletContext;
import org.zeroturnaround.javarebel.integration.support.JavassistClassBytecodeProcessor;

public class SapApplicationContext extends JavassistClassBytecodeProcessor {
  public void process(ClassPool cp, ClassLoader cl, CtClass ctClass)
      throws Exception {

    cp.importPackage("java.util");
    cp.importPackage("java.net"); 
    cp.importPackage("org.zeroturnaround.javarebel");
    
    CtMethod m = ctClass.getDeclaredMethod("init");
    m.insertAfter(
        "ServletIntegrationFactory.getInstance().registerServletContext((" + RebelServletContext.class.getName() + ") servletContext);");
  }
}
